DEXPIRE(8)

NAME
dexpire - Diablo program to expire article files

SYNOPSIS
dexpire [ -r free-space-target ] [ -s[#] ] [ -h0 ] [ -v ] [ -n ] [ -o ]

DESCRIPTION
DExpire does an expire run on the history file, removing expired articles and updating (but not rewriting) the history file as appropriate. DExpire operates in a FIFO manner, removing the oldest spool files first. It will remove spool files a directory at a time until the free space target is reached. However, since diablo stores articles in directories based on their calculated expiration, the result is very similar to what you get with standard per-group expires.

-r free-space-target

This option tells dexpire to actually remove files and specifies a free-space target to shoot for in megabytes. For example, 2000 would indicate a free space target of 2 gigabytes. DExpire will loop until it meets the free-space target.

-s[#]

This option tells dexpire that it is expiring on a softupdates-mounted filesystem and that it needs to sync/sleep/sync/sleep after removing each directory in order for statfs() to return reasonable values. The sleep time inbetween sync's may be specified. If no number is specified, a sleep of 1 is used. -s2 is suggested for softupdates-mounted partitions.

After clearing out sufficient disk space, DExpire will scan the spool directory and then update the history file in place. This is relatively self repairing, so you can remove spool files manually without getting things out of synch. However, to be completely safe you should rename a D.xxxxxxxx directory to A.xxxxxxxx prior to rm -rf'ing it if diablo is running.

-h0

Tell DExpire to *not* update the history file. This can be used to run dexpire on a tighter scheduler, such as once an hour, without having to eat the overhead of updating the history file. You should still run dexpire normally at least four times a day, though.

-v

Tell dexpire to be more verbose.

-n

Tell dexpire to fake it... don't actually do anything destructive. Tell the user what dexpire would have done.

-o

Tell dexpire to write the expired message IDs to a file for later use by dexpireover when expiring overview information. Writes to file specified by path_dexpover_list in diablo.config, defaults to %s/dexpover.dat, path_db based.

SEE ALSO
diablo(8), dclean(8), dicmd(8), didump(8), diload(8), dnewslink(8), doutq(8), dexpire(8), dexpireover(8), diconvhist(8), dilookup(8), dspoolout(8), dkp(8), dpath(8), diablo-kp(5), diablo-files(5)